
/**********************************/
/* テーブル名: 商品マスタ          */
/**********************************/
DROP TABLE IF EXISTS ITEM;
CREATE TABLE ITEM(
    GTIN                          BIGINT NOT NULL,
    ITEM_NAME                     VARCHAR(50) NULL ,
    CATEGORY_CODE                 INTEGER NULL ,
    CATEGORY_NAME                 VARCHAR(50) NULL
);
ALTER TABLE ITEM ADD CONSTRAINT IDX_ITEM_PK PRIMARY KEY (GTIN);

/**********************************/
/* テーブル名: 店舗マスタ          */
/**********************************/
DROP TABLE IF EXISTS SHOP;
CREATE TABLE SHOP(
    SHOP_CODE                     INTEGER NOT NULL,
    SHOP_NAME                     VARCHAR(50) NULL
);
ALTER TABLE SHOP ADD CONSTRAINT IDX_SHOP_PK PRIMARY KEY (SHOP_CODE);
